check-circle-line exclamation-circle-line close-line

Mis à jour le : 23 août 2019

VMware Tools | 14 mars 2019 | Build 12406962

Vérifiez les ajouts et les mises à jour apportées à ces notes de mise à jour.

Contenu des notes de mise à jour

Les notes de mise à jour couvrent les sujets suivants :

Nouveautés

  • VMware Tools 10.3.10 bloque la prise en charge des invités Solaris.
  • Le pilote pvscsi est désormais disponible via le service Windows Update de Microsoft pour Windows Server 2016 et Windows Server 2019. La mise à jour du pilote vmxnet3 sera mise à disposition via le même service à la fin du processus de publication du pilote.
  • Cette version de VMware Tools comprend les modules de noyau préconfigurés avec l'atténuation de Spectre (retpoline) activée pour SLES11SP4 (versions 3.0.101-108.84 du noyau et versions ultérieures) et RHEL6.6 (versions 2.6.32-754.9.1 du noyau et versions ultérieures).
  • Les OSP pour SLES11SP4 comprennent un ensemble de packages de modules de noyau avec l'atténuation de Spectre activée, qui sont installés en mettant à niveau les OSP vers cette version.
  • Les OSP pour RHEL6.6 comprennent un ensemble de packages de modules de noyau avec l'atténuation de Spectre activée, qui sont installés en même temps que vmware-tools-esx-kmods-retpoline avec YUM.
  • Problèmes résolus : Des problèmes ont été résolus dans cette version de VMware Tools, qui sont décrits dans la section Problèmes résolus de ces notes de mise à jour.

Versions antérieures de VMware Tools

  • Pour les versions antérieures de VMware Tools, consultez la page Documentation de VMware Tools.

Avant de commencer

  • VMware Tools 10.3.10 prend en charge les systèmes d'exploitation invités suivants :
    • windows.iso prend en charge Windows Vista et les versions ultérieures. 
      • VMware Tools 10.3.10 dépend de et inclut Microsoft Visual C++ 2017 Redistributable version 14.0. Lors de la préparation du système pour l'installation de VMware Tools 10.3.10, Microsoft Visual C++ 2017 Redistributable est installé sur le système en tant que condition préalable. La mise à niveau vers VMware Tools 10.3.10 ou son installation n'est pas prise en charge pour les versions de Windows qui ne respectent pas les conditions préalables, et les clients doivent continuer à utiliser VMware Tools 10.2.x ou version antérieure jusqu'à ce qu'ils puissent corriger ou mettre à jour le système d'exploitation Windows afin de répondre aux conditions préalables de VMware Tools 10.3.10. 
      • Conditions préalables au niveau du système d'exploitation Windows
        • Windows Server 2019
        • Windows Server 2016
        • Windows 10
        • Windows Server 2012
        • Windows 8
        • Windows Server 2008 R2 Service Pack 1 (SP1)
        • Windows 7 SP1
        • Windows Server 2008 Service Pack 2 (SP2)
        • Windows Vista SP2
        • Windows Server 2012 R2 avec mise à jour KB2919355 de Microsoft
        • Windows 8.1 avec mise à jour KB2919355 de Microsoft
    • linux.iso prend en charge les systèmes d'exploitation invités Linux Red Hat Enterprise (RHEL) 5 et les versions ultérieures, SUSE Linux Enterprise Server (SLES) 11 et les versions ultérieures, Ubuntu 12.04 et les versions ultérieures. Il prend également en charge d'autres distributions avec glibc versions 2.5 et ultérieures.
    • darwin.iso prend en charge Mac OS X 10.11 et versions ultérieures.
    • solaris.iso prend en charge Solaris versions 10 et les versions ultérieures.
  • Les images ISO de VMware Tools sont bloquées pour quelques systèmes d'exploitation invités en fin de vie. Certaines images ISO ne sont pas incluses avec ESXi dans le VIB tools-light. Pour plus de détails, consultez la page Documentation de VMware Tools. Toutes les images ISO de VMware Tools sont disponibles au téléchargement à l'adresse http://my.vmware.com.
  • VMware Tools pour Windows : les fichiers exécutables (.exe) de programme d'installation 32 bits et 64 bits sont disponibles au téléchargement. Ces fichiers sont fournis pour faciliter l'accès et l'installation de VMware Tools sur des systèmes d'exploitation invités Windows.

Note importante relative à la mise à niveau vers ESXi 5.5 Update 3b ou version ultérieure

Résolution de l'incompatibilité et directives générales : lors de la mise à niveau des hôtes ESXi vers ESXi 5.5 Update 3b ou ESXi 6.0 Update 1 ou version ultérieure, tout en utilisant d'anciennes versions d'Horizon View Agent, consultez les articles de la base de connaissances ci-dessous :

Internationalisation

VMware Tools 10.3.10 est disponible dans les langues suivantes :

  • Anglais
  • Français
  • Allemand
  • Espagnol
  • Italien
  • Japonais
  • Coréen
  • Chinois simplifié
  • Chinois traditionnel

Remarques concernant la prise en charge des produits

  • L'image ISO des systèmes d'exploitation Windows antérieurs à Vista pour VMware Tools n'est plus fournie avec ESXi. L'image ISO des systèmes d'exploitation Windows antérieurs à Vista peut être téléchargée par les utilisateurs qui en ont besoin. Pour obtenir des informations sur le téléchargement, reportez-vous à la page de Téléchargement de produits.

Avis de fin de prise en charge des fonctionnalités

  • Le pilote de gonflage sera supprimé de MacOS VMware Tools 11.0.0.
  • VMware Tools 10.3.5 bloque la prise en charge des fonctionnalités pour les outils tar et les OSP 
    Les outils tar (linux.iso) et les OSP livrés avec la version VMware Tools 10.3.5 seront encore pris en charge. En revanche, les versions postérieures à VMware Tools 10.3.5 n'incluront que des correctifs critiques et de sécurité et aucune prise en charge des nouvelles fonctionnalités de ces types de VMware Tools (les outils tar et les OSP). Nous recommandons aux clients d'utiliser open-vm-tools pour ces systèmes d'exploitation qui prennent en charge cette application. Pour plus d'informations sur les différents types de VMware Tools, consultez https://blogs.vmware.com/vsphere/2016/02/understanding-the-three-types-of-vm-tools.html

Notes de compatibilité

  • À partir de VMware Tools 10.2.0, l'installation de VMware Tools basée sur le script Perl pour FreeBSD a été abandonnée. Les systèmes FreeBSD sont pris en charge uniquement via les modules open-vm-tools disponibles directement depuis les référentiels de modules FreeBSD. Les modules FreeBSD pour open-vm-tools 10.1.0 et versions ultérieures sont disponibles depuis les référentiels de modules FreeBSD.

Prise en charge de la personnalisation du système d'exploitation invité

La matrice de prise en charge des personnalisations du système d'exploitation invité fournit des détails sur les systèmes d'exploitation invités pris en charge pour la personnalisation.

Matrice d'interopérabilité

La Matrice d'interopérabilité des produits VMware fournit des détails sur la compatibilité des versions actuelles et précédentes des produits VMware. 

Installation et mises à niveau pour cette mise à jour

VMware Tools peut être téléchargé sur la page Téléchargement de produits.

Les modules spécifiques au système d'exploitation de VMware Tools peuvent être téléchargés à l'adresse http://packages.vmware.com/tools/releases/index.html. Pour plus d'informations sur l'installation des OSP, consultez le Guide d'installation de VMware Tools pour les modules spécifiques du système d'exploitation.

Les étapes d'installation de VMware Tools varient en fonction de votre produit VMware et du système d'exploitation client que vous avez installé. Pour en savoir plus sur la procédure générale d'installation de VMware Tools dans la plupart des produits VMware, consultez l'article General VMware Tools installation instructions (1014294) (Instructions générales d'installation de VMware Tools (1014294)). Pour configurer productLocker afin qu'il pointe vers une banque de données partagée, consultez l'article 2004018 de la base de connaissances.

Pour obtenir des instructions spécifiques sur l'installation, la mise à niveau et la configuration de VMware Tools, consultez la page Documentation de VMware Tools.

Remarque :

Si vous utilisez une version de VMware Tools antérieure à 9.4, reportez-vous aux notes de mise à jour de VMware Tools 10.1.0 pour connaître les instructions de mise à niveau spécifiques.

Pilotes invités Windows installés par VMware Tools

VMware Tools 10.3.10 prend en charge les versions de pilotes suivantes sur un système d'exploitation invité Windows.

Pilotes VMware Tools 10.3.10
Pilotes matériels
vmci

9.8.6.0

vsock

9.8.12.0

pvscsi

1.3.10.0

wddm

8.16.01.0024

xpdm

12.1.8.0

vmxnet3

1.8.10.0

vmxnet2

2.2.0.0

vmmouse

12.5.7.0

vmusbmouse

12.5.7.0

vmaudio

5.10.0.3506

efifw 1.0.0.0
Pilotes logiciels
vmrawdsk.sys

1.1.1.0

vmmemctl.sys

7.4.2.0

vmhgfs.sys

11.0.34.0

vsepflt.sys

10.3.10.0

vnetflt.sys

10.3.0.0

vnetWFP.sys 

10.3.0.0 

glgxi.sys

1.3.4.0
(Windows Server 2008 R2, Windows Server 2012, Windows Server 2012 R2, Windows Server 2016 et Windows Server 2019)

DLL de sécurité
vmwsu.dll 2.0.0.0

Problèmes résolus

  • L'installation de VMware Tools échoue sur Solaris 10.

    L'installation de VMware Tools 10.3.2 ou 10.3.5 échoue sur Solaris 10 avec deux messages d'erreur sous la forme « Impossible de modifier les droits d'accès du fichier GLOB (<hex number>) ». Chacun de ces messages d'erreur est suivi d'un message « Exécution abandonnée ».

    Ce problème affecte l'installation sur Solaris 10 uniquement. L'installation de VMware Tools fonctionne parfaitement sur Solaris 11.

    Ce problème est résolu dans cette version.

  • Dans certains cas, les snapshots suspendus sur les invités Linux ne comprennent pas de manifestes de sauvegarde.

    Si une erreur est générée dans VMware Tools 10.3.5 sur un invité Linux en notifiant l'hôte ESXi d'un fichier manifeste de sauvegarde de snapshot suspendu, VMware Tools consigne une erreur et n'informe pas l'hôte ESXi du fichier manifeste de sauvegarde sur les snapshots suspendus suivants. Par conséquent, certains snapshots suspendus ne comprennent pas le fichier manifeste de sauvegarde, qui serait sinon disponible sur l'hôte ESXi. Ces snapshots ne sont pas identifiés comme suspendus par les clients vSphere.

    Ce problème est résolu dans cette version.

  • Problèmes de curseur de la souris dans les machines virtuelles Windows équipées de plusieurs écrans.

    Dans les machines virtuelles Windows disposant de plusieurs écrans, le curseur de la souris rencontre les problèmes suivants :

    • Le curseur de la souris ne s'affiche plus dans les cas suivants :
      • Le curseur se trouve sur le(s) écran(s) de gauche. L'animation du curseur fonctionne uniquement lorsque le curseur se trouve sur l'écran le plus à droite.
      • Le curseur est déplacé dans des applications tierces.
      • Il existe une transition d'un curseur à un autre.
      • Le logiciel est occupé.
    • Le curseur de la souris scintille ou clignote.
    • Le curseur de la souris se déplace fréquemment vers le coin du moniteur.
    • Les mouvements du curseur de la souris sont sporadiques et lents à l'intérieur des VM.

    Ce problème est résolu dans cette version.

Problèmes connus

  • Le pilote AppDefense glxgi consigne une erreur dans l'observateur d'événements.

    Le pilote AppDefense glxgi consigne une erreur dans l'observateur d'événements semblable à la suivante :

    « Le service glxgi n'a pas pu démarrer en raison de l'erreur : Un périphérique attaché au système ne fonctionne pas correctement. »

    Les événements sont observés lorsque l'intégrité de l'invité est désactivée.

    Solution :

    Ces événements n'ont aucune incidence sur le système et peuvent être ignorés en toute sécurité.

  • Les avertissements de pilote de l'observateur d'événements générés par VMware Tools démarrent les pilotes de démarrage glxgi, pvscsi, vsepflt et vsock. 

    Si vous disposez d'une machine virtuelle sécurisée avec Microsoft Hyper-V et que la sécurité basée sur la virtualisation est activée avec la protection de périphérique et la stratégie d'intégrité définies pour être appliquées, les pilotes glxgi, pvscsi, vsepflt, et vsock peuvent générer les avertissements du journal des événements semblables aux suivants :

    Nom du journal :      Microsoft-Windows-CodeIntegrity/Operational
    Source :        Microsoft-Windows-CodeIntegrity

    Journal des opérations :

    Avertissements 

    ID d'événement :      3083    
    Niveau :         Avertissement

    Description :
    L'intégrité du code a déterminé que le module du noyau system32\DRIVERS\vsock.sys qui ne répondait pas aux exigences de WHQL est chargé dans le système.
    Vérifiez auprès de l'éditeur si un module de noyau conforme à WHQL est disponible. 

    Solution :

    Vous pouvez ignorer ces avertissements en toute sécurité. Les pilotes se chargent et fonctionnent normalement.

  • Le module VMware Tools ne parvient pas à terminer l'installation.

    Lors de l'installation de VMware Tools à l'aide de la commande d'installation, une boîte de dialogue s'affiche avec une barre de progression. Cette boîte de dialogue affiche la progression de l'installation du module redistribuable VC 2017 qui est utilisé par VMware Tools. L'installation du module redistribuable de VC 2017 n'aboutit pas, empêchant ainsi le lancement de la boîte de dialogue d'installation générale de VMware Tools.

    Les journaux d'installation de VMware Tools se trouvent dans le dossier temporaire dans le chemin d'accès semblable au suivant :

     %temp%\vminst.log et %temp%\vmmsi.log

    Le problème se produit avec le système d’exploitation Windows Vista Service Pack 2 dont le module Microsoft Document Explorer 2008 est installé lorsque VMware Tools installe le module redistribuable de Microsoft VC 2017.

    Solution :

    Pour installer VMware Tools  

    1. Désinstallez le module Microsoft Document Explorer 2008 du système d'exploitation Windows Vista Service Pack 2. 
    2. Installez ou mettez à niveau VMware Tools en exécutant à nouveau le programme d'installation.
  • La mise à niveau vers VMware Tools 10.3.0 ou son installation peut être plus longue et le système d'exploitation Windows devra éventuellement être redémarré.

    Le processus d’installation peut sembler être en cours et affiche un message similaire au message suivant :
    « Préparation de l’installation de VMware Tools... »

    Pendant ce processus, l'utilisateur peut être invité à redémarrer le système d'exploitation. 

    Solution :

    Pour plus d'informations, consultez l'article 55798 de la base de connaissances.

  • La fonctionnalité de glisser-déplacer ne parvient pas à fonctionner sous Ubuntu.

    La fonctionnalité de glisser-déplacer ne fonctionne pas sur une machine virtuelle Ubuntu 16.04.4 32 bits installée à l'aide du processus d'installation simple. En outre, la fonctionnalité de copier-coller ne fonctionne pas dans le même système.

    Remarque : Ce problème s'applique à VMware Tools exécuté sur Workstation et Fusion.

    Solution :

    • Ajoutez l'option de démarrage du noyau Linux modprobe.blacklist=vmwgfx.
    • Pour accéder à des résolutions plus élevées, supprimez l'option svga.guestBackedPrimaryAware = "TRUE" du fichier VMX.
  • Le montage des dossiers partagés n'est pas disponible sur une machine virtuelle Linux.

    Si la fonctionnalité Dossiers partagés est activée sur une machine virtuelle Linux pendant qu'elle est hors tension, le montage des dossiers partagés n'est pas disponible lors du redémarrage.

    Remarque : Ce problème s'applique à VMware Tools exécuté sur Workstation et Fusion.

    Solution :

    Si la machine virtuelle est sous tension, désactivez et activez la fonctionnalité Dossiers partagés à partir de l'interface.
    Pour résoudre ce problème de façon permanente, modifiez l'entrée /etc/fstab et ajoutez une entrée pour monter les dossiers partagés automatiquement lors du démarrage.
    Par exemple, ajoutez la ligne :
    vmhgfs-fuse   /mnt/hgfs    fuse    defaults,allow_other    0    0

  • Des messages d'avertissement d'échec de vérification de la signature du module de noyau de VMware Tools s'affichent pour Solaris 11.4.

    La stratégie par défaut de démarrage vérifié de Solaris est définie sur « avertissement » dans la version 11.4 de Solaris. Lorsqu'un module non signé est chargé, un message d'avertissement s'affiche comme suit :

    « solaris-11.4 krtld: Avertissement : échec de la vérification de la signature du module /kernel/drv/amd64/vmmemctl »

    VMware ne fournit pas de modules de noyau signés pour Solaris dans les versions de VMware Tools. Lorsque chaque module de noyau VMware Tools est chargé, un message d'avertissement s'affiche sur la console ou dans le journal système (/var/log/messages).
    En mode « avertissement », le module est toutefois chargé dans le noyau.